List automation rules
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"workflows": [
{
"id": "<string>",
"name": "<string>",
"meeting_ids": [
"<string>"
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Automation rules
List automation rules
List automation rules for the workspace.
GET
/
automation-rules
List automation rules
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"workflows": [
{
"id": "<string>",
"name": "<string>",
"meeting_ids": [
"<string>"
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Response
200 - application/json
OK - Request succeeded
List of automation rules for the workspace.
Hide child attributes
Hide child attributes
Unique identifier for the automation rule.
Name of the automation rule. If not provided during creation, an auto-generated name like "New Rule - 172719992" will be assigned based on the event.
Array of meeting IDs associated with this automation rule. Only valid meeting IDs (not template meeting IDs) are accepted.